Bug 111792 - [AMD tahiti xt] amd-staging-drm-next broken since linux 5.3.0-rc3 rebase
Summary: [AMD tahiti xt] amd-staging-drm-next broken since linux 5.3.0-rc3 rebase
Status: RESOLVED MOVED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: highest blocker
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-23 21:11 UTC by Sylvain BERTRAND
Modified: 2019-11-19 09:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg (35.93 KB, text/plain; charset=ISO-8859-1)
2019-09-23 21:11 UTC, Sylvain BERTRAND
no flags Details
xorg (3.23 KB, text/plain; charset=ISO-8859-1)
2019-09-23 21:13 UTC, Sylvain BERTRAND
no flags Details
good kernel log (56.73 KB, text/plain; charset=ISO-8859-1)
2019-09-25 12:06 UTC, Sylvain BERTRAND
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvain BERTRAND 2019-09-23 21:11:20 UTC
got the rebased amd-staging-drm-next branch today, configured and compiled linux, xorg hangs while probing card0. See provided logs.

yes, I can bisect.
Comment 1 Sylvain BERTRAND 2019-09-23 21:11:59 UTC
Created attachment 145480 [details]
dmesg
Comment 2 Sylvain BERTRAND 2019-09-23 21:13:04 UTC
Created attachment 145481 [details]
xorg
Comment 3 Sylvain BERTRAND 2019-09-25 02:24:43 UTC
This bisection is kind of a pain, as usual on the 'rebase breakage'.  I had to
start manually to find a "segment" with good enough good/bad data for bisect.
On this bisected segment, amd-staging-drm-next branch, the first bad commit is:

commit 1929059893022a3bbed43934c7313e66aad7346b
Author: Prike Liang <Prike.Liang@amd.com>
Date:   Mon May 27 16:05:50 2019 +0800

    drm/amd/amdgpu: add RLC firmware to support raven1 refresh

    Use SMU firmware version to indentify the raven1 refresh device and
    then load homologous RLC FW.

    Signed-off-by: Prike Liang <Prike.Liang@amd.com>
    Suggested-by: Huang Rui<Ray.Huang@amd.com>
    Reviewed-by: Huang Rui <ray.huang@amd.com>
    Reviewed-by: Evan Quan <evan.quan@amd.com>
    Signed-off-by: Alex Deucher <alexander.deucher@amd.com>
Comment 4 Alex Deucher 2019-09-25 02:52:45 UTC
The commit was fixed by:

commit 0079f82e710caf3e821267917af9517ac0fca83d
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Tue Jun 11 09:45:51 2019 -0500

    drm/amdgpu: return 0 by default in amdgpu_pm_load_smu_firmware
    
    Fixes SI cards running on amdgpu.
    
    Fixes: 1929059893022 ("drm/amd/amdgpu: add RLC firmware to support raven1 refresh")
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=110883
    Reviewed-by: Evan Quan <evan.quan@amd.com>
    Signed-off-by: Alex Deucher <alexander.deucher@amd.com>
Comment 5 Sylvain BERTRAND 2019-09-25 12:04:54 UTC
got some sleep then I noticed I have the wrong kernel log message. My bad.

The kernel module is crashing in DP code. see the call stack in the about to be updated kernel log.
Comment 6 Sylvain BERTRAND 2019-09-25 12:06:03 UTC
Created attachment 145511 [details]
good kernel log
Comment 8 Sylvain BERTRAND 2019-09-25 15:10:57 UTC
Applied the patch on top of amd-staging-drm-next 4a6c7afe7d1acc6d2f4b94d62843c72cbf2c60a5, fixed.

Is still ok to use amd-staging-drm-next or community "testers" should use another one?
Comment 9 Alex Deucher 2019-09-25 15:14:57 UTC
I'll add the patch to amd-staging-drm-next as well.
Comment 10 Sylvain BERTRAND 2019-09-25 15:31:07 UTC
And us "community testers"? Should we be using drm-misc-next-fixes instead of amd-staging-drm-next?
Comment 11 Alex Deucher 2019-09-25 15:52:34 UTC
you can use whichever branches you want.
Comment 12 Sylvain BERTRAND 2019-09-25 19:43:18 UTC
What are the differences then?
Comment 13 Alex Deucher 2019-09-25 19:54:01 UTC
(In reply to Sylvain BERTRAND from comment #12)
> What are the differences then?

for my git repo:
- amd-staging-drm-next is our internal integration branch.
- drm-next is all of our new code for the next kernel integrated into airlied's drm-next tree
- drm-fixes is fixes for the current kernel cycle
Comment 14 Sylvain BERTRAND 2019-09-25 20:22:24 UTC
I seems I should stay on amd-staging-drm-next then.
Comment 15 Martin Peres 2019-11-19 09:52:53 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/drm/amd/issues/915.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.